Bug 1312044 - Review Request: nodejs-klaw - File system walker with Readable stream interface
Review Request: nodejs-klaw - File system walker with Readable stream interface
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jared Smith
Fedora Extras Quality Assurance
:
Depends On:
Blocks: nodejs-reviews
  Show dependency treegraph
 
Reported: 2016-02-25 10:31 EST by Tom Hughes
Modified: 2016-06-07 16:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-07 16:02:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jsmith.fedora: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Tom Hughes 2016-02-25 10:31:56 EST
Spec URL: http://tomh.fedorapeople.org//nodejs-klaw.spec
SRPM URL: http://tomh.fedorapeople.org//nodejs-klaw-1.1.3-1.fc23.src.rpm

Description:
File system walker with Readable stream interface.
Comment 1 Upstream Release Monitoring 2016-02-25 10:33:57 EST
tomh's scratch build of nodejs-klaw-1.1.3-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13128070
Comment 2 Jared Smith 2016-02-26 09:31:15 EST
I'll review this in the next few minutes.
Comment 3 Jared Smith 2016-02-26 09:37:55 EST
The LICENSE file in the SRPM doesn't match the output of the upstream URL -- the upstream URL seems to return a bunch of HTML.
Comment 4 Tom Hughes 2016-02-26 09:44:45 EST
Fixed to use correct URL for raw version of file:

Spec URL: http://tomh.fedorapeople.org//nodejs-klaw.spec
SRPM URL: http://tomh.fedorapeople.org//nodejs-klaw-1.1.3-2.fc23.src.rpm
Comment 5 Tom Hughes 2016-03-04 04:54:33 EST
Do you need anything more from me to finish this one up?
Comment 6 Jared Smith 2016-03-04 16:54:06 EST
No, sorry -- I've just been on the road and behind on package reviews.  Looking at it now.
Comment 7 Jared Smith 2016-03-04 18:34:55 EST
According to fedora-review, the checksum on the LICENSE file from the SRPM and the one downloaded by fedora-review don't match.  I'm going to assume that this is due to differences in user-agent or something along those lines.  Not a huge deal -- I trust that 

The bigger concern I have is that licensecheck seems to indicate that the license is WTFPL, not MIT.
Comment 8 Tom Hughes 2016-03-04 18:42:07 EST
I think spectool failed to fetch the license file because I already had a LICENSE file in my sources directory... Corrected package:

Spec URL: http://tomh.fedorapeople.org//nodejs-klaw.spec
SRPM URL: http://tomh.fedorapeople.org//nodejs-klaw-1.1.3-3.fc23.src.rpm
Comment 9 Jared Smith 2016-03-05 09:10:19 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-klaw-1.1.3-3.fc25.noarch.rpm
          nodejs-klaw-1.1.3-3.fc25.src.rpm
nodejs-klaw.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
nodejs-klaw (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-klaw:
    nodejs-klaw
    npm(klaw)



Source checksums
----------------
https://github.com/jprichardson/node-klaw/archive/1.1.3/node-klaw-1.1.3.tar.gz :
  CHECKSUM(SHA256) this package     : a00304a97954605cb7204591d689cbab81a86f27b3d0e115d78a983cbdd26778
  CHECKSUM(SHA256) upstream package : a00304a97954605cb7204591d689cbab81a86f27b3d0e115d78a983cbdd26778
https://raw.githubusercontent.com/jprichardson/node-klaw/master/LICENSE :
  CHECKSUM(SHA256) this package     : 0375164ed7119b5d71014cb66ed4fa1db8174d6a6421e8061a7d694684888131
  CHECKSUM(SHA256) upstream package : 0375164ed7119b5d71014cb66ed4fa1db8174d6a6421e8061a7d694684888131


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m ff -b 1312044
Buildroot used: f25
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 10 Gwyn Ciesla 2016-03-05 13:41:42 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-klaw

Note You need to log in before you can comment on or make changes to this bug.